#2926 Mac OSX -background: opening file with closed window hangs

normal bug
closed-fixed
Evan Wright
5
2012-04-02
2007-08-20
Ken
No

If I run jEdit -background, close the window, and open a file, jEdit hangs and needs to be killed.

Also, if I run jEdit -background and close the window, all but the jEdit menu disappear, leaving no way to open another file.

And if I open some files in jEdit -background, close the window, hide jEdit, and unhide jEdit, all the buffers reappear, even if "Restore previously open files on startup" is deselected.

-background would be more Mac-like if, when the last window is closed, the buffer list is cleared and a new empty buffer window is opened; currently, -nobackground is more Mac-like.

1:15:07 PM [message] Log: java.version=1.5.0_07
1:15:07 PM [message] Log: java.vm.version=1.5.0_07-87
1:15:07 PM [message] Log: java.runtime.version=1.5.0_07-164
1:15:07 PM [message] Log: java.vendor=Apple Computer, Inc.
1:15:07 PM [message] Log: java.compiler=null
1:15:07 PM [message] Log: os.name=Mac OS X
1:15:07 PM [message] Log: os.version=10.4.10
1:15:07 PM [message] Log: os.arch=i386
1:15:07 PM [notice] jEdit: jEdit version 4.3pre10

Discussion

  • Alan Ezust
    Alan Ezust
    2011-12-03

    • assigned_to: nobody --> evanpw
    • summary: -background: opening file with closed window hangs --> Mac OSX -background: opening file with closed window hangs
     
  • Evan Wright
    Evan Wright
    2011-12-04

    I see three separate issues here:

    1) Does the hanging problem still occur for you? I couldn't reproduce it with the current trunk.

    2) The fact that the menu bar disappears when the last view is closed is a limitation of Java on OS X that can't be fixed. It's not a major problem, because you can always just click the dock menu to open a new view and then open a file.

    3) The problem with not respecting the "Restore previously open files on startup" option is now fixed in SVN. It should work in the next release of the Mac OS X plugin.

     
  • Evan Wright
    Evan Wright
    2012-04-02

    • status: open --> closed-fixed